liborigin2: Origin::Figure Struct Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::Figure Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | FigureType { Rectangle, Circle }

## Public Member Functions
| Figure (FigureType _type=Rectangle)

## Public Attributes
Attach | attach
Rect | clientRect
Color | color
Color | fillAreaColor
unsigned char | fillAreaPattern
Color | fillAreaPatternColor
double | fillAreaPatternWidth
unsigned char | style
FigureType | type
bool | useBorderColor
double | width

## Member Enumeration Documentation

enum Origin::Figure::FigureType

Enumerator
Rectangle |
Circle |

## Constructor & Destructor Documentation

Origin::Figure::Figure | ( | FigureType | _type = `Rectangle`) |  |
| inline

## Member Data Documentation

Attach Origin::Figure::attach

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

Rect Origin::Figure::clientRect

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

Color Origin::Figure::color

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

Color Origin::Figure::fillAreaColor

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

unsigned char Origin::Figure::fillAreaPattern

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

Color Origin::Figure::fillAreaPatternColor

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

double Origin::Figure::fillAreaPatternWidth

Referenced by Origin850Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

unsigned char Origin::Figure::style

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

FigureType Origin::Figure::type

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

bool Origin::Figure::useBorderColor

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

double Origin::Figure::width

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h